[SRU] Host with kernel 4.13 freezes when starting a VM with VirtualBox

Bug #1736116 reported by Stephan Springer on 2017-12-04
470
This bug affects 88 people
Affects Status Importance Assigned to Milestone
kbuild (Ubuntu)
High
Gianfranco Costamagna
Xenial
High
Gianfranco Costamagna
virtualbox (Ubuntu)
High
Gianfranco Costamagna
Xenial
High
Gianfranco Costamagna
Artful
High
Gianfranco Costamagna
virtualbox-ext-pack (Ubuntu)
High
Gianfranco Costamagna
Xenial
High
Gianfranco Costamagna
Artful
High
Gianfranco Costamagna
virtualbox-guest-additions-iso (Ubuntu)
High
Gianfranco Costamagna
Xenial
High
Gianfranco Costamagna
Artful
High
Gianfranco Costamagna

Bug Description

[Impact]
* New kernel broke completely old and current vbox in xenial/artful, + security issues (meltdown,spectre)
* VM not able to start, 3d not working
[Test Case]
* Install 16.04 or 17.10 in a VM, Update or install the hwe stack, reboot, panic

[Regression Potential]
* This is the second round of minor updates, since cherry-picking is impossible, and less tested by upstream/debian/me.
No regressions when we moved 5.0.18 to 5.0.40

The jump 5.0.40 -> 5.1.32 is bigger, but since 5.0.x is EOL upstream, and with a lot of security issues, we should try to get the move in Xenial, to make vbox continue working.

5.2 can't build there, because of a lot of qtbase issues, so sticking with 5.1 is the only viable solution we found over the last 4 months

For this reason, we need a new kbuild too

[Other Info]
This is a spin-off of bug 1729568. With Kernel 4.13 (from linux-generic-hwe-16.04-edge), the host system freezes completely when starting a VM using VirtualBox. A black boot window pops up right before the freeze.

Stephan Springer (geryon) wrote :

LocutusOfBorg (costamagnagianfranco) wrote in https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1729568/comments/21 :

@geryon, can you please try what Vlad mentioned here?

"Boot issue solved by removing intel-microcode package - no idea why it was installed."

I think you just need to disable iommu, but removing that package might be even better, or trying the one from bionic might also help us
https://launchpad.net/ubuntu/+source/intel-microcode

Stephan Springer (geryon) wrote :

There is no intel-microcode package installed, only intel-gpu-tools and libdrm-intel1. But I'll try that iommu kernel command line.

Quote from https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/1729568/comments/20 :
Disabling iommu might fix the issue
https://www.reddit.com/r/archlinux/comments/732hp4/arch_freezing_after_413_kernel_update/

Stephan Springer (geryon) wrote :

Nope, neither intel_iommu=igfx_off nor intel_iommu=off prevent the freeze.

@Vlad, yes please try hwe-edge! thanks

Changed in virtualbox (Ubuntu):
importance: Undecided → High
Changed in virtualbox (Ubuntu):
status: New → Confirmed
Vlad Orlov (monsta) wrote :

In guest system, hwe-edge kernel works fine, I left a comment at bug 1729568.
Is this a problem with having 4.13 in host system as well? My host system has 4.10 and VirtualBox 5.1.30.

Stephan Springer (geryon) wrote :

I'm experiencing this freeze with Linux 4.13 on the host and Windows as the guest. But the freeze happens when the guest starts booting, so I don't think the guest system matters much.

Vlad Orlov (monsta) wrote :

Ok, so we were trying different things... I did all tests and experiments (including removing intel-microcode package), which I mentioned in bug 1708315 and bug 1729568, in Xenial VM. I didn't change anything on my host system.

Vlad Orlov (monsta) on 2017-12-05
summary: - Host freezes when starting a VM with VirtualBox
+ Host with kernel 4.13 freezes when starting a VM with VirtualBox
Changed in virtualbox (Ubuntu):
status: Confirmed → New

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virtualbox (Ubuntu):
status: New → Confirmed

Xenial VM with kernel 4.14

For those people having host freezes, please try to reproduce them using packages from virtualbox.org and open a bug report there if appropriate. It would be appreciated if you link to any appropriate Launchpad bugs, but still provide all information on the virtualbox.org bug, including a log file from the last virtual machine you started.

Tobias Karnat (tobiaskarnat) wrote :

I have the same issue with latest the candidate kernel required to fix Meltdown on Xenial.
linux-hwe-edge 4.13.0-25.29~16.04.1 from ppa:canonical-kernel-team/pti

Because "the Rolling HWE kernel for Ubuntu 16.04 will go to 4.13 early, instead of also fixing 4.10 HWE kernel" I cannot stay on 4.10 and this is urgent.

Tobias Karnat (tobiaskarnat) wrote :

Package from virtualbox.org cannot be used as the latest 5.0 build is 5.0.40 and even this needs to be patched as described in #1729568 to build the kernel modules.

Vlad Orlov (monsta) wrote :

So I'm now on kernel 4.13 after the update of -hwe kernel from 4.10, and my vbox 5.1.30 (from the official virtualbox.org repo) runs fine on this host. Apparently, only 5.0.40, which is in Xenial repos, has this problem.

Lubuntu 16.04 LTS 64 bit up-to-date

Freezes ---> linux-image-4.13.0-26-generic 4.13.0-26.29~16.04.2

Fine ------> linux-image-4.10.0-42-generic 4.10.0-42.46~16.04.1

virtualbox 5.0.40-dfsg-0ubuntu1.16.04.2
virtualbox-dkms 5.0.40-dfsg-0ubuntu1.16.04.2
virtualbox-ext-pack 5.0.40-0ubuntu1.16.04.1
virtualbox-guest-additions-iso 5.0.40-0ubuntu1.16.04.1
virtualbox-guest-dkms 5.0.40-dfsg-0ubuntu1.16.04.2
virtualbox-guest-utils 5.0.40-dfsg-0ubuntu1.16.04.2
virtualbox-qt 5.0.40-dfsg-0ubuntu1.16.04.2

My guest is WinXP.

Problem appeared after latest update of the kernel, from 4.10 to 4.13, like #13

I am seeing these symptoms exclusively for guests with VT-x/AMD-V option enabled. Guests without that option boot fine.
Identical virtualbox/kernel versions and kernel upgrade scenario as comment #14. Various guest OS. Host CPU Intel Core i5-6600T.

Pedro Côrte-Real (pedrocr) wrote :

Given the recent accelerated upgrade to 4.13 in 16.04 HWE wouldn't a simple option be to also upgrade virtualbox in 16.04 to 5.1 to get around this issue? Before this was something that probably only affected a few people on HWE-edge but now with Spectre/Meltdown people will be hitting this much more often.

Ulrich von Augsburg (stulrich) wrote :

Freezes happen on Intel PCs only here, whilst AMD PCs don't.
Could more people test this, please?

Disabling the VT-x virtualization option (#15) often isn't an option since 64 Bit guests do need the host to have this option enabled.

I'm fully agreeing with Pedro Côrte-Real's (#16) suggestion that upgrading Ubuntu 16.04's package "virtualbox 5.0.40" to at least 5.1 would be very helpful since otherwise all standard Ubuntu 16.04 HWE (Intel) installations won't be able to run Virtualbox anymore because of the freezing with Kernel 4.13 .

Christian Pointner (equinox-i) wrote :

I have the same problem on my Lenovo t450s (Intel i7-5600U). Virtualbox worked with 4.10 and freezes the host on 4.13. Disabling VT-x/AMD-V didn't solve the problem. Also disabling the new kernel page table isolation (kernel command-line: nopti) doesn't solve the issue.

Larry Gay (jshg46) wrote :

Using kernel 4.13.0.26 will also completely freeze the host when you click start in Virtualbox.

Virtualbox 5.0.40 is not working with the new kernel (4.13.0-26), but the new version of VBox (5.2) works fine.

Download it from VirtualBox page or add the source to your sources.list:

sudo sh -c 'echo "deb http://download.virtualbox.org/virtualbox/debian xenial contrib" >> /etc/apt/sources.list'

Add Oracle public key:

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key

lrite (klk745) wrote :

@LocutusOfBorg: Will 5.2.4 be rolled out in multiverse in the near future or do users experiencing that freeze need to stick with your PPA?

Yaroslav (friend.yara) wrote :

I solved same problem by installing virtualbox 5.2 from virtualbox.org:

$ sudo apt remove --purge virtualbox*
$ sudo sh -c 'echo "deb http://download.virtualbox.org/virtualbox/debian xenial contrib" >> /etc/apt/sources.list'
$ wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
$ sudo apt install virtualbox-5.2

Then download VirtualBox 5.2.4 Oracle VM VirtualBox Extension Pack from:

http://download.virtualbox.org/virtualbox/5.2.4/Oracle_VM_VirtualBox_Extension_Pack-5.2.4-119785.vbox-extpack

and open it in VirtuialBox to install.

OS: Ubuntu 16.04.3 LTS, 4.13.0-26-generic

Pedro Côrte-Real (pedrocr) wrote :

Just downgrading to non-HWE LTS seems to have fixed things for me so I'll probably stick with that instead.

Stephan Springer (geryon) wrote :

LocutusOfBorg, re #21: There are missing dependencies in your ppa (virtualbox-qt):

libqt5core5a (>= 5.6.0~beta), libqt5widgets5 (>= 5.6.0~beta), libqt5x11extras5 (>= 5.6.0)

Tobias Karnat (tobiaskarnat) wrote :

I can confirm Virtualbox 5.2 from virtualbox.org also works with linux-hwe 4.13.0-29.32~16.04.1 from ppa:canonical-kernel-team/pti which fixes Spectre with IBRS/IBPB.

And I hope Virtualbox implements IBRS/IBPB path through to also allow Spectre protection in vms.

Lope (lopeonline) wrote :

Virtualbox 5.0.40 also crashed for me on kernel 4.13.0-26.
After I click start, 4-5 lines get printed in dmesg, then the entire system freezes.

asgard2 (kamp000x) wrote :

@LocutusOfBorg
I can confirm the dependency problem with your ppa. #21

Alkis Georgopoulos (alkisg) wrote :

This is a screenshot of the host crash: https://snag.gy/HkOoeK.jpg

This happens only on 64bit 4.13 kernels, while 32bit installations with 4.13 work fine.
It happens with any guest, even if there's no guest OS installed yet.

It does not happen at all if the host has kernel=4.10.

It does not happen at all with the newest 5.2.6 upstream virtualbox.

==> Please backport VirtualBox 5.2.6 to Xenial.

Bao Nguyen (baona119) wrote :

Install VB 5.2.6 works fine. The previous version freezed entire system and require hard reboot.

If 16.04 is still considered LTS supported up to 5 years (https://wiki.ubuntu.com/XenialXerus/ReleaseNotes) then we must backport it. Otherwise we should somehow change the "Support lifespan" there in order not to direct people to loose confidence for LTS versions and UBUNTU itself.
Many other problems are related to this bug (https://askubuntu.com/questions/994926/ubuntu-16-04-freezes-on-vagrant-up/997426#997426) not announced here. And freezing the whole system with the official supported installation is a serious drawback.

==> Please either backport VirtualBox 5.2.6 to 16.04 LTS OR change the official kernel in order not to freeze the system.

@ xoristzatziki (simsonbike-bugs) wrote 1 hour ago:

> Otherwise we should somehow change the "Support lifespan" there in order not to direct people to
> loose confidence for LTS versions and UBUNTU itself.

Slow down a little, and think about what you are saying:

$ apt-cache show virtualbox

Package: virtualbox
Architecture: amd64
Version: 5.0.40-dfsg-0ubuntu1.16.04.2
Priority: optional
Section: multiverse/misc

Multiverse = Unsupported, Closed-Source and Patent-Encumbered Software

That sort of tone in your post, will NOT make it more likely to get fixed, but just annoy people who might be able get it done.

It's not even clear who needs to fix it or what the problem is. It's third party software. If you absolutely needs it to work NOW. There are 3 perfectly acceptable solutions already outlined in this thread:

1. go to the core non-HWE 4.4.0-109 kernel by using advanced GRUB menu

2. got to the core non-HWE 4.4.0-109 kernal by permanently removing the HWE kernel from your machine

3. Boot from 4.10.0 using the "advanced menu" in GRUB (that's what I am currently doing)

4. install VB 5.2 from third party binary or ppa

This could be a long time getting fixed, because it's complicated, involves multiple vendors and the whole spectre mess caused it all, which is probably more important than VB. So you should choose your options from above and get on with it.

Personally I am currently using 3, and will choose 2 or 4 if situation persists for more than a few weeks.

Respect

Sorry for my tone. You are right.
(Unfortunately I do not like to use any of the options mentioned.)

Hello, for people experiencing issues with qt and my ppa, please add this additional repo
https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/stable-phone-overlay
(note: this upgrades qt to a newer version, I don't know the side effects).

Unfortunately 5.2.6 *doesn't* build with xenial qt stack, too old, so I had to tweak with an additional repo to make it at least build.

upstream has a custom-built qt version just for Ubuntu xenial, there is no known ETA for a fix, and they are currently trying to craft a patch against older virtualbox 5.0 and 5.1 packages.

There is a lot of ongoing work there, for now solutions in #32 are your best chances.

Please try my ppa with the additional qt repo, and report back! thanks

1 comments hidden view all 117 comments
Vlad Orlov (monsta) wrote :

https://www.virtualbox.org/wiki/Linux_Downloads

5.1.30 from their official repo runs fine with 4.13 and doesn't require any Qt modifications.

Alkis Georgopoulos (alkisg) wrote :

The latest upstream VirtualBox 5.2.6-120293~Ubuntu~xenial, runs fine with 4.13, using the stock Xenial Qt version.

Why does the Ubuntu package need a new Qt when the upstream package doesn't?

Isn't 4.13 the first kernel to fix that Intel bug that was all over the news earlier this month?

I've been booting with 4.10 in order to use virtualbox; does that make me susceptible to that kernel-memory-leaking-intel-bug?

http://www.businessinsider.com/linus-torvalds-linux-inventor-is-furious-at-intel-2018-1

xoristzatziki's suggestion of backporting VirtualBox 5.2.6 to 16.04 LTS is what I think needs to happen here.

Following Alkis Georgopoulos's advice, I can confirm that 5.2.6 works great on the 4.13 kernel

To install it, I ran all of this as one command:

sudo sh -c 'echo "deb http://download.virtualbox.org/virtualbox/debian xenial contrib" >> /etc/apt/sources.list' ; wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add ; sudo apt remove virtualbox ; sudo apt update ; sudo apt install virtualbox-5.2

Vlad Orlov (monsta) wrote :

Kernel 4.4 also has been patched for these Intel bugs, so you can use it instead of 4.13 if you don't need the latest hardware support.

Changed in virtualbox (Ubuntu):
importance: High → Critical
status: Confirmed → In Progress
summary: - Host with kernel 4.13 freezes when starting a VM with VirtualBox
+ [SRU] Host with kernel 4.13 freezes when starting a VM with VirtualBox
no longer affects: kbuild (Ubuntu Artful)
Changed in kbuild (Ubuntu):
status: New → Fix Released
Changed in kbuild (Ubuntu Xenial):
status: New → In Progress
Changed in virtualbox (Ubuntu Xenial):
status: New → In Progress
Changed in virtualbox (Ubuntu Artful):
status: New → In Progress
Changed in virtualbox-ext-pack (Ubuntu):
status: New → Fix Released
Changed in virtualbox-ext-pack (Ubuntu Xenial):
status: New → In Progress
Changed in virtualbox-ext-pack (Ubuntu Artful):
status: New → In Progress
Changed in virtualbox-guest-additions-iso (Ubuntu):
status: New → Fix Released
Changed in virtualbox-guest-additions-iso (Ubuntu Xenial):
status: New → In Progress
Changed in virtualbox-guest-additions-iso (Ubuntu Artful):
status: New → In Progress
Changed in virtualbox (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in virtualbox-guest-additions-iso (Ubuntu Artful):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox-guest-additions-iso (Ubuntu Xenial):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox-guest-additions-iso (Ubuntu):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox-ext-pack (Ubuntu Artful):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox-ext-pack (Ubuntu Xenial):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox-ext-pack (Ubuntu):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox (Ubuntu Artful):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox (Ubuntu Xenial):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in kbuild (Ubuntu Xenial):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in kbuild (Ubuntu):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Undecided → High
Changed in virtualbox (Ubuntu):
assignee: nobody → LocutusOfBorg (costamagnagianfranco)
importance: Critical → High
description: updated
Changed in virtualbox (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Changed in virtualbox-guest-additions-iso (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in virtualbox (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Changed in kbuild (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in virtualbox-guest-additions-iso (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in virtualbox-ext-pack (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in virtualbox-ext-pack (Ubuntu Xenial):
status: In Progress → Fix Committed
37 comments hidden view all 117 comments
lrite (klk745) wrote :

"proposed" 5.1.34-dfsg-0ubuntu1.16.04.1 works fine for me as well. It doesn't freeze the system anymore. Tested with two different VM guests (Linux and Windows 2000).

gruberm (gruberm) wrote :

"proposed" 5.1.34-dfsg-0ubuntu1.16.04.1 has fixed the freezing here too. I successfully tested it with Windows 10 and Xenial VMs.

tags: added: verification-done-xenial
removed: verification-needed-xenial

Hello Stephan, or anyone else affected,

Accepted virtualbox into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox/5.1.34-dfsg-0ubuntu1.17.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Stephan, or anyone else affected,

Accepted virtualbox-guest-additions-iso into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-guest-additions-iso/5.1.34-0ubuntu1.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Stephan, or anyone else affected,

Accepted virtualbox into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox/5.1.34-dfsg-0ubuntu1.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Stephan Springer (geryon) wrote :

I can confirm that virtualbox 5.1.34-dfsg-0ubuntu1.16.04.1 and virtualbox-ext-pack 5.1.34-0ubuntu1.16.04.1 work on Xenial with the Linux Kernel 4.13.0-36 without any freeze. I cannot test the other packages or those on Artful at the moment.

Thanks for the effort to fix this!

Tested packages:
virtualbox=5.1.34-dfsg-0ubuntu1.16.04.1
virtualbox-dkms=5.1.34-dfsg-0ubuntu1.16.04.1
virtualbox-ext-pack=5.1.34-dfsg-0ubuntu1.16.04.1
virtualbox-qt=5.1.34-dfsg-0ubuntu1.16.04.1

Host longer freezes on guest boot. Performance seems normal. Bug fixed for me.

Tested with guest OS Windows 7 64-bit with VT-x enabled.

Host details:
$ lscpu | grep "Model name"
Model name: Intel(R) Core(TM) i5-6600T CPU @ 2.70GHz
$ uname -srv
Linux 4.13.0-36-generic #40~16.04.1-Ubuntu SMP Fri Feb 16 23:25:58 UTC 2018
$ lsb_release -d
Description: Ubuntu 16.04.4 LTS

Untested packages:
virtualbox-guest-additions-iso=5.1.34-dfsg-0ubuntu1.16.04.1 (not in repository yet)
kbuild=1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1 (I don't know how to test it)
virtualbox-hwe=5.1.34-dfsg-0ubuntu1.16.04.1 (not in repository yet)
virtualbox=5.1.34-dfsg-0ubuntu1.16.04.2 (not in repository yet)
virtualbox-guest-additions-iso=5.1.34-0ubuntu1.16.04.2 (not in repository yet)

Łukasz Zemczak (sil2100) wrote :

Hello Stephan, or anyone else affected,

Accepted virtualbox-hwe into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-hwe/5.1.34-dfsg-0ubuntu1.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

gruberm (gruberm) wrote :

I can confirm that

virtualbox 5.1.34-0ubuntu1.16.04.2
virtualbox-guest-additions-iso 5.1.34-0ubuntu1.16.04.2

work as expected.

Host details:
$ lscpu | grep "Model name"
Model name: Intel(R) Core(TM) i5-8250U CPU @ 1.60GHz
$ uname -srv
Linux 4.13.0-36-generic #40~16.04.1-Ubuntu SMP Fri Feb 16 23:25:58 UTC 2018

lrite (klk745) wrote :

"proposed" 5.1.34-dfsg-0ubuntu1.16.04.2 works as smooth as the previous 16.04.1 for me.

tags: removed: verification-needed-xenial
lrite (klk745) on 2018-03-14
tags: added: verification-done-xenial
Steffen Hemer (s-hemer) wrote :

Can confirm the absence of the previous hang on a 16.04 with 4.13.0-37 kernel with the fix from the Costa's PPA. Just tested with a live cd start, no more detailed tests.

I'll report test results on #1746316

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful

Steps performed (only on amd64 hw, no i386 testing performed).

1) Install a clean Ubuntu 16.04.4 LTS amd64 iso.
2) Reboot
3) upgrade and dist-upgrade
4) enable proposed
5) install only virtualbox virtualbox-ext-pack virtualbox-guest-utils-hwe virtualbox-guest-x11-hwe
6) enable 3d on guest properties
6) reboot, and check if everything still works as expected
7) run virtualbox inside the guest and try to install a VM inside the VM, this verifies the host functionalities
8) remove guest-utils and install the official guest-additions package
9) reboot
A) check again if everything works as expected
B) kbuild doesn't need to be tested, because it was upgraded just to make the new one build correctly

For artful, testing was similar, except that I tested virtualbox-guest-utils virtualbox-guest-x11 instead of the -hwe packages.

Missing testing:
different hw (we did test on two laptops, one with windows host, one with linux host)
i386
xenial non-hwe (kernel 4.4 and virtualbox-guest* non -hwe packages). They were fine the first time I checked them, nothing should have changed and nobody reported issues so far

I'm not sure they are worth the effort, since we got already a lot of positive feedbacks and zero negative ones

BTW I also tested clipboard copy-paste host-guest and vice-versa, and VBoxClient --check3d && echo yes to see if 3d was correctly enabled

Łukasz Zemczak (sil2100) wrote :

Hello Stephan, or anyone else affected,

Accepted virtualbox-ext-pack into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-ext-pack/5.1.34-0ubuntu1.17.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-artful
removed: verification-done verification-done-artful
tags: added: verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Stephan, or anyone else affected,

Accepted virtualbox-ext-pack into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/virtualbox-ext-pack/5.1.34-0ubuntu1.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

so far so good!

tags: added: verification-done verification-done-artful verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-xenial
Kyle Edwards (kylefromkitware) wrote :

Currently running 5.1.34-dfsg-0ubuntu1.16.04.2. This appears to have solved the host crash for me. I did have to manually update virtualbox-dkms too.

Steffen Hemer (s-hemer) wrote :

My previously reported result was on a Core i5-2520M, some deeper testing was performed on a Celeron J1900:

Running perfectly on a 4.4.0-116 and switching to 4.13.0-37 runs stable for about a day now. No problems noticed so far.

gruberm (gruberm) wrote :

Is there currently some shortage of manpower in the release team or am I overlooking another bug blocking the release?
This bug has a heat of 400+, the new version has been tested quite extensively and the version to be replaced is also prone to security issues.

Łukasz Zemczak (sil2100) wrote :

There is no shortage of manpower in the ubuntu-sru team. As per the Stable Release Update policy [1], every update needs to age in -proposed for a minimum of 7 days before being considered for promotion. Since these packages have not been driven by the security team we are handling this update in the same way as the others - especially that the initial upload already had regressions that had to be fixed with re-uploads.

There's just a few more days left.

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

To be honest, since this bug is already 3 months old, and the risk of regressions is high, I would appreciate some additional days even if nothing bad showed up so far (maybe 10-15 days would be more appreciated).

People can still use proposed if they want a fix, I don't think few more days can hurt too much.

But this is up to release team, I don't have reasons to be worried about the current -proposed package (except for the huge diff :p)

This version fixed the crash for me, too. However, the vagrant version 1.8.1 that is shipped with Ubuntu Xenial isn't compatible:

The provider 'virtualbox' that was requested to back the machine
'default' is reporting that it isn't usable on this system. The
reason is shown below:

Vagrant has detected that you have a version of VirtualBox installed
that is not supported by this version of Vagrant. Please install one of
the supported versions listed below to use Vagrant:

4.0, 4.1, 4.2, 4.3, 5.0

A Vagrant update may also be available that adds support for the version
you specified. Please check www.vagrantup.com/downloads.html to download
the latest version.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kbuild - 1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1

---------------
kbuild (1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1) xenial; urgency=medium

  * SRU to xenial, to make virtualbox 5.1 build correctly
  * New upstream version 5.1.32-dfsg
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13

 -- Gianfranco Costamagna <email address hidden> Fri, 02 Feb 2018 14:51:36 +0100

Changed in kbuild (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kbuild has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Rod Smith (rodsmith) wrote :

This version did NOT fix the problem for me; VirtualBox is still hanging the computer with 4.13-series kernels.

$ dpkg -s kbuild | grep Version
Version: 1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1

Hello, kbuild was useful to get virtualbox 5.1 compile, doesn't fix the issue by itself.
Please wait for the other packages to migrate, or try the proposed pocket

So, at the end we had zero bad reports, and tomorrow will be 10 days since the package has been accepted in proposed (even more day if we consider the first upload in ppa and -proposed).

Nobody complained so far, the only bug I got, is unrelated to this upload, and affecting NVIDIA people (LP: #1751191).

This should be safe to go, if it matches Release Team migration criteria.

thanks!

Orion Lawlor (lawlor) wrote :

Locutus's xenial-proposed fix works great for me on the stock 4.13.0-37-generic kernel on my amd64 laptop.

Here's how I installed that fix on my 16.04 machine:

Start software-properties-gtk
        "Developer Options" tab
        Check "Pre-released updates (xenial-proposed)"

sudo apt update
sudo apt install virtualbox virtualbox-dkms virtualbox-ext-pack virtualbox-guest-utils-hwe virtualbox-guest-x11-hwe

Go back to software-properties-gtk and un-check pre-release to get off the bleeding edge (otherwise your next apt update will grab lots of proposed fixes).

Reboot to get the new dkms kernel packages, or manually install them like this:

sudo rmmod vboxpci vboxnetadp vboxnetflt vboxdrv
sudo depmod -a
sudo modprobe vboxdrv

Start virtualbox, and your VMs should work now even with the new kernel.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox - 5.1.34-dfsg-0ubuntu1.17.10.2

---------------
virtualbox (5.1.34-dfsg-0ubuntu1.17.10.2) artful; urgency=medium

  * New upstream version 5.1.34-dfsg
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Apply 69989 to fix GL issue.
  * Lower compat level to 9

 -- Gianfranco Costamagna <email address hidden> Fri, 02 Feb 2018 13:27:46 +0100

Changed in virtualbox (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-ext-pack - 5.1.34-0ubuntu1.17.10.2

---------------
virtualbox-ext-pack (5.1.34-0ubuntu1.17.10.2) artful; urgency=medium

  * Really point to 5.1.34 source to download

virtualbox-ext-pack (5.1.34-0ubuntu1.17.10.1) artful; urgency=medium

  * New upstream release
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Lower compat level to 9
  * Update license key and text.

 -- Gianfranco Costamagna <email address hidden> Thu, 15 Mar 2018 12:26:08 +0100

Changed in virtualbox-ext-pack (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-guest-additions-iso - 5.1.34-0ubuntu1.17.10.1

---------------
virtualbox-guest-additions-iso (5.1.34-0ubuntu1.17.10.1) artful; urgency=medium

  * New upstream version 5.1.34
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Lower compat level to 9

 -- Gianfranco Costamagna <email address hidden> Fri, 02 Feb 2018 14:49:24 +0100

Changed in virtualbox-guest-additions-iso (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox - 5.1.34-dfsg-0ubuntu1.16.04.2

---------------
virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) xenial; urgency=medium

  * New upstream version 5.1.34-dfsg
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Apply 69989 to fix GL issue.
  * Lower compat level to 9

 -- Gianfranco Costamagna <email address hidden> Fri, 02 Feb 2018 13:27:46 +0100

Changed in virtualbox (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-ext-pack - 5.1.34-0ubuntu1.16.04.2

---------------
virtualbox-ext-pack (5.1.34-0ubuntu1.16.04.2) xenial; urgency=medium

  * Really point to 5.1.34 source to download

virtualbox-ext-pack (5.1.34-0ubuntu1.16.04.1) xenial; urgency=medium

  * New upstream release
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Lower compat level to 9
  * Update license key and text.

 -- Gianfranco Costamagna <email address hidden> Thu, 15 Mar 2018 12:26:08 +0100

Changed in virtualbox-ext-pack (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-guest-additions-iso - 5.1.34-0ubuntu1.16.04.2

---------------
virtualbox-guest-additions-iso (5.1.34-0ubuntu1.16.04.2) xenial; urgency=medium

  * New upstream version 5.1.34
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13
  * Lower compat level to 9

 -- Gianfranco Costamagna <email address hidden> Fri, 02 Feb 2018 14:49:24 +0100

Changed in virtualbox-guest-additions-iso (Ubuntu Xenial):
status: Fix Committed → Fix Released
dastillero (dastillero) wrote :

As stated on comment #100 the current vagrant version on Xenial does not support the updated Virtualbox version. Is it planned to update Vagrant?.

dastillero (dastillero) wrote :

Filled a bug report for Vagrant to be updated: https://bugs.launchpad.net/ubuntu/+source/vagrant/+bug/1759829

Lets followup iin bug #1759829 then

Aravind R (araviaravi) wrote :

Hello,

This bug is truly anoying

System details

aravind@comp:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

aravind@comp:~$ uname -r
4.13.0-38-generic

Laptop Acer E15 E5-575G-50ZZ
Inter core i5-7200U
Nvidia GeForce 940MX

I am not running in VM box. It is directly installed in laptop.

The startup screen freezes when I have inter-microcode installed in the new kernel.

If I uninstall then works. But I am getting error

Firmware Bug]: TSC_DEADLINE disabled due to Errata; please update microcode to version: 0x52 (or later)

Aravind R, this is not the right place to complain about intel-microcode issues, please use ubuntu-bug and open a new report!

Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers